## purelibc 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)
project(purelibc
 VERSION 1.0.2
 DESCRIPTION "A glibc overlay library for process self-virtualization."
 HOMEPAGE_URL "https://github.com/virtualsquare/purelibc"
 LANGUAGES C)
include(GNUInstallDirs)

include(CheckPrototypeDefinition)

set(CMAKE_C_FLAGS
    "${CMAKE_C_FLAGS} -D_FORTIFY_SOURCE=2 -ggdb -Wall -Wextra -pedantic -std=gnu11 -Wno-incompatible-pointer-types -Wno-unused-parameter")
find_library(LIBDL dl)

add_definitions(-D_GNU_SOURCE)
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
set(HEADERS purelibc.h)

check_prototype_definition(gettimeofday
	"int gettimeofday(struct timeval *tv, struct timezone *tz)"
	"0"
	"sys/time.h"
	GETTIMEOFDAY_TZ)

check_prototype_definition(gettimeofday
	"int gettimeofday(struct timeval *tv, void *tz)"
	"0"
	"sys/time.h"
	GETTIMEOFDAY_VOID)

if(${GETTIMEOFDAY_TZ})
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DGETTIMEOFDAY_TZ")
endif()

add_library(purelibc SHARED
		dir.c  exec.c  socketcalls.c  stdio.c  syscalls.c
)
target_link_libraries(purelibc ${LIBDL})

set_target_properties(purelibc PROPERTIES VERSION ${PROJECT_VERSION}
	SOVERSION ${PROJECT_VERSION_MAJOR})

install(TARGETS purelibc LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

add_custom_target(uninstall
	"${CMAKE_COMMAND}" -P "${PROJECT_SOURCE_DIR}/Uninstall.cmake")

=== debian/changelog ===
purelibc (1.0.2-2) unstable; urgency=medium

  * d/control: Standard version bumped to 4.5.0
  * d/control: Bump debhelper's compat level to 13
  * d/watch: Add watch path
  * d/rules: Fix dh_auto_install syntax

 -- Andrea Capriotti <capriott@debian.org>  Tue, 07 Jul 2020 20:38:23 +0200

purelibc (1.0.2-1) unstable; urgency=medium

  * New upstream release
  * New source repository
  * Autotools to Cmake conversion (tnx: Alberto Fabbri <solo.albif@gmail.com)
  * Debian packaging update (tnx: Alberto Fabbri <solo.albif@gmail.com)

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 04 Jul 2020 11:31:05 +0200

purelibc (0.4.1-2) unstable; urgency=medium

  * Change maintainers' Mailing List (Closes: #899659)
  * Patch FTBFS with glibc 2.28 (Closes: #916165)

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 05 Jan 2019 09:01:39 +0100

purelibc (0.4.1-1) unstable; urgency=low

  * New upstream release
  * Bump to Standards-Version to 3.9.2:
    + Stop shipping .la files
  * Removed useless .dirs files

 -- Ludovico Gardenghi <garden@debian.org>  Sun, 05 Feb 2012 11:48:07 +0100

purelibc (0.4+r960-1) unstable; urgency=low

  * Snapshot from upstream SVN:
    + Fix: -nostartfile -> -nostartfiles option (FTBFS). (Closes: #625086)
    + Fix: wrong index on socketcalls.
    + Fixes (thanks to Alexander Block): wrong __NR constants, wrong
      detection of Open # of args.
    + Fix: evecl, exevle, execlp args count was wrong.
    + fcntl -> fcntl64 conversion.
    + preadv/pwritev emulation. accept4.
    + raise added (glibc implements a useless cache for getpid! purelibc
      solves also this problem)
    + Fix: negative hash values caused purelibc to write randomly in the
      memory. This was the cause of random segfaults.

 -- Ludovico Gardenghi <garden@debian.org>  Mon, 02 May 2011 17:33:44 +0200

purelibc (0.4+r646-1) unstable; urgency=low

  [ Filippo Giunchedi ]
  * Add DM-Upload-Allowed field

  [ Ludovico Gardenghi ]
  * Snapshot from upstream
    + Fixed FTBFS on amd64 with libc 2.9 (Closes: #490389)
    + Added support for *at system calls
  * Changed my email address to @debian.org

 -- Ludovico Gardenghi <garden@debian.org>  Thu, 09 Apr 2009 20:49:10 +0200

purelibc (0.4-1) unstable; urgency=low

  * New upstream release
  	+ soname switched to 1
  * Ship libpurelibc-dev with soname removed

 -- Filippo Giunchedi <filippo@debian.org>  Wed, 16 Apr 2008 22:01:11 +0200

purelibc (0.3-1) unstable; urgency=low

  * New upstream release (Closes: #403658, #410543, #404517)
  * Fix watch file
  * Restrict architectures to i386 amd64 powerpc ppc64
  * Switch to cdbs

 -- Filippo Giunchedi <filippo@debian.org>  Thu, 07 Feb 2008 00:33:38 +0100

purelibc (0.2-1) unstable; urgency=low

  * Initial release

 -- Guido Trotter <ultrotter@debian.org>  Fri, 20 Oct 2006 15:20:09 +0200

=== debian/control ===
Source: purelibc
Section: libs
Priority: optional
Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>, Alberto Fabbri <solo.albif@gmail.com>
Build-Depends: cmake (>= 3.13), debhelper-compat (= 13)
Standards-Version: 4.5.0
Homepage: http://wiki.virtualsquare.org/
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/purelibc
Vcs-Git: https://salsa.debian.org/virtualsquare-team/purelibc.git

Package: libpurelibc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libpurelibc1 (= ${binary:Version}), ${misc:Depends}
Description: Overlay library for glibc that allows system call capturing - development
 Pure_libc converts glibc from a libc+system interfacing library into a
 libc-only library. A process can trace the system call generated by itself
 by purelibc. Pure_libc is not complete yet. Stdio has been implemented onto
 the fopencookie call. Due to current limitations of fopencookie, freopen may
 not work properly when reopening files different from std{in, out, err}.
 .
 This package contains the development files for libvdestack

Package: libpurelibc1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Overlay library for glibc that allows system call capturing
 Pure_libc converts glibc from a libc+system interfacing library into a
 libc-only library. A process can trace the system call generated by itself
 by purelibc. Pure_libc is not complete yet. Stdio has been implemented onto
 the fopencookie call. Due to current limitations of fopencookie, freopen may
 not work properly when reopening files different from std{in, out, err}.
 .
 This package contains the library

## purelibc 1.0.4

=== debian/changelog ===
purelibc (1.0.4-1) unstable; urgency=medium

  * New Upstream release

 -- Andrea Capriotti <capriott@debian.org>  Mon, 09 Nov 2020 22:42:40 +0100

purelibc (1.0.3-1) unstable; urgency=medium

  * New Upstream release
  * Fix some porting issues
  * d/control: Add Rules-Requires-Root

 -- Andrea Capriotti <capriott@debian.org>  Sat, 26 Sep 2020 11:38:36 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Homepage: http://wiki.virtualsquare.org/
 Vcs-Browser: https://salsa.debian.org/virtualsquare-team/purelibc
 Vcs-Git: https://salsa.debian.org/virtualsquare-team/purelibc.git
+Rules-Requires-Root: no
 
 Package: libpurelibc-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir debian/tmp

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%purelibc-$1.tar.gz%" \
   https://github.com/virtualsquare/purelibc/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## purelibc 1.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.13)
 project(purelibc
- VERSION 1.0.2
+ VERSION 1.0.4
  DESCRIPTION "A glibc overlay library for process self-virtualization."
  HOMEPAGE_URL "https://github.com/virtualsquare/purelibc"
  LANGUAGES C)

=== debian/changelog ===
purelibc (1.0.5-1) unstable; urgency=medium

  [ Renzo Davoli ]
  * New upstream release.
    + Fix glibc 2.33 compatibility.  Closes: #1002176
  * Update d/copyright.

  [ Mattia Rizzolo ]
  * d/watch: use substvars and drop the unneeded uupdate call.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * d/copyright: consistently use spaces instead of tabs.
  * Remove usless d/*.dirs files, no need to explicitly create them.
  * d/rules:
    + Remove -Wl,--as-needed: that's the default behaviour in bookworm.
    + Remove override_dh_auto_install: that's the default option.

 -- Renzo Davoli <renzo@cs.unibo.it>  Mon, 03 Jan 2022 13:28:50 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,26 @@
 Section: libs
 Priority: optional
 Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
-Uploaders: Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>, Alberto Fabbri <solo.albif@gmail.com>
-Build-Depends: cmake (>= 3.13), debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Uploaders:
+ Renzo Davoli <renzo@cs.unibo.it>,
+ Andrea Capriotti <capriott@debian.org>,
+ Alberto Fabbri <solo.albif@gmail.com>,
+Build-Depends:
+ cmake (>= 3.13),
+ debhelper-compat (= 13),
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: http://wiki.virtualsquare.org/
 Vcs-Browser: https://salsa.debian.org/virtualsquare-team/purelibc
 Vcs-Git: https://salsa.debian.org/virtualsquare-team/purelibc.git
-Rules-Requires-Root: no
 
 Package: libpurelibc-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libpurelibc1 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libpurelibc1 (= ${binary:Version}),
+ ${misc:Depends},
 Description: Overlay library for glibc that allows system call capturing - development
  Pure_libc converts glibc from a libc+system interfacing library into a
  libc-only library. A process can trace the system call generated by itself
@@ -27,8 +34,11 @@
 Package: libpurelibc1
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Overlay library for glibc that allows system call capturing
  Pure_libc converts glibc from a libc+system interfacing library into a
  libc-only library. A process can trace the system call generated by itself

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@

## purelibc 1.0.6

=== debian/changelog ===
purelibc (1.0.6-1) unstable; urgency=medium

  [ Renzo Davoli ]
  * New upstream release.
    + Fix ftbfs on riscv64. Closes: #1014792
      Thanks Bo YU
  [ Andrea Capriotti]
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Andrea Capriotti <capriott@debian.org>  Fri, 12 Aug 2022 14:57:52 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends:
  cmake (>= 3.13),
  debhelper-compat (= 13),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://wiki.virtualsquare.org/
 Vcs-Browser: https://salsa.debian.org/virtualsquare-team/purelibc

## purelibc 1.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.13)
 project(purelibc
- VERSION 1.0.4
+ VERSION 1.0.8
  DESCRIPTION "A glibc overlay library for process self-virtualization."
  HOMEPAGE_URL "https://github.com/virtualsquare/purelibc"
  LANGUAGES C)
@@ -9,7 +9,7 @@
 include(CheckPrototypeDefinition)
 
 set(CMAKE_C_FLAGS
-    "${CMAKE_C_FLAGS} -D_FORTIFY_SOURCE=2 -ggdb -Wall -Wextra -pedantic -std=gnu11 -Wno-incompatible-pointer-types -Wno-unused-parameter")
+    "${CMAKE_C_FLAGS} -O2 -D_FORTIFY_SOURCE=2 -ggdb -Wall -Wextra -pedantic -std=gnu11 -Wno-incompatible-pointer-types -Wno-unused-parameter")
 find_library(LIBDL dl)
 
 add_definitions(-D_GNU_SOURCE)

=== debian/changelog ===
purelibc (1.0.8-1) unstable; urgency=medium

  * Team upload.
  * Import version 1.0.8.
    + Add support for loong64.  Closes: #1069002
    + Fix FTBFS with __USE_FILE_OFFSET64/__USE_TIME_BITS64 on armhf.
      Closes: #1069452

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 07 May 2024 22:18:19 +0200

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
   https://github.com/virtualsquare/purelibc/tags \
   (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
